Bug 247612 - Messed up debugging symbols?
Messed up debugging symbols?
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-10 07:32 EDT by Michael J. Chudobiak
Modified: 2008-06-16 21:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:50:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 443006 None None None Never

  None (edit)
Description Michael J. Chudobiak 2007-07-10 07:32:47 EDT
See the gnome bug report at http://bugzilla.gnome.org/show_bug.cgi?id=448404.
(It has the oddest backtrace - more dupes are reported at 

The backtrace reports the gThumb function "uricmp" as being a part of the
libgnomeui, libgobject, and libgtk-x11 libraries, which is nonsense. It is an
internal gThumb function.

Sample backtrace:

#0  0x000000398060d89f in waitpid () from /lib64/libpthread.so.0
#1  0x00000039bec57c97 in uricmp () from /usr/lib64/libgnomeui-2.so.0
#2  <signal handler called>
#3  0x00000039be27389b in uricmp () from /usr/lib64/libgtk-x11-2.0.so.0
#4  0x00000039be2a960e in uricmp () from /usr/lib64/libgtk-x11-2.0.so.0
#5  0x00000039be3332fd in uricmp () from /usr/lib64/libgtk-x11-2.0.so.0
#6  0x000000398460afd0 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#7  0x000000398461ad98 in uricmp () from /lib64/libgobject-2.0.so.0
#8  0x000000398461b99d in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
#9  0x000000398461bda3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#10 0x00000039be43137e in uricmp () from /usr/lib64/libgtk-x11-2.0.so.0
#11 0x00000039be2a8bb1 in gtk_container_propagate_expose ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#12 0x00000039be2a960e in uricmp () from /usr/lib64/libgtk-x11-2.0.so.0
#13 0x00000039be273fb4 in uricmp () from /usr/lib64/libgtk-x11-2.0.so.0
#14 0x00000039be3332fd in uricmp () from /usr/lib64/libgtk-x11-2.0.so.0

These gnome bugzilla reports have only occurred with F7 (and not, for example,
with Ubuntu or anything else), which makes me wonder if the Fedora debugging
packages are messed up somehow.

- Mike (a gThumb developer)
Comment 1 Bug Zapper 2008-05-14 09:29:38 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 21:50:56 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.